Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155328 - compiler warnings in kdeaddons
Summary: compiler warnings in kdeaddons
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeaddons
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 08:41 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-27 19:35:36 UTC


Attachments (Terms of Use)

Description David Binderman 2005-04-19 08:41:42 UTC
Description of problem:

I just tried to compile kdeaddons-3.4.0-2 from Redhat
Fedora Core development tree

The compiler said

1.

scopedisplayer.cpp:72: warning: operation on 'ptr' may be undefined

The source code is

	*(ptr++) -= ((*ptr & 0xf0f0f0f0ul) >> 4) + ((*ptr & 0xe0e0e0e0ul) >> 5);

I agree with the compiler. Suggest code rework.

2.

core.cpp:128: warning: operation on 'ptr' may be undefined
core.cpp:124: warning: operation on 'ptr' may be undefined

Duplicates.

3.

display.c:127: warning: operation on 'pdest' may be
undefined

The source code is

	*(pdest++) = *(pdest-1);

I agree with the compiler. Suggest code rework.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marcin Garski 2005-10-27 19:35:36 UTC
Thanks for the bug report.

bug has been reported upstream:
http://bugs.kde.org/show_bug.cgi?id=115208

I will notify when this bugs will be fixed upstream.


Note You need to log in before you can comment on or make changes to this bug.